Subject: bug#65051: internal_equal manipulates symbols with position without checking symbols-with-pos-enabled.

From: Stefan Monnier <[email-masked]>
Date: Sat, 12 Aug 2023 14:07:39 -0400

>     Streamline time decoding and conversion
>
>     * src/lisp.h (lisp_h_BASE2_EQ, BASE2_EQ): New macros and functions.
>     * src/timefns.c (tzlookup, Fdecode_time): Use them.
>     (Ftime_convert): Convert to symbol once, instead of many times.  <=====
>
> ..  form, if a SWP, gets replaced by its bare symbol, so that the
> following comparisons can be done by BASE_EQ rather than EQ.  It's an
> optimisation, though I can't really see why it's worthwhile.
>
> If you remove that SWP handling, as you are proposing, you'll need to
> set these BASE_EQ's back to EQ's, too.

I see, thanks.

It's kind of odd, tho: it's the only function that does that, AFAICT.
I also can't see why `time-convert` should accept SWPs in addition to
bare symbols.  In my book, it seems like passing it an SWP would be
a mistake.

        Stefan